Skip to main content
POST
/
search
/
bulk
/
delete
Bulk remove entities from the index
curl --request POST \
  --url https://api.example.com/search/bulk/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "organization_id": "<string>",
    "entity_type": "<string>",
    "entity_id": "<string>"
  }
]
'
{
  "accepted": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
organization_id
string
required

Organisation the entity belongs to

entity_type
string
required

Entity type (e.g. 'table', 'agent')

entity_id
string
required

Stable unique identifier for the entity

Response

Successful Response

Response from POST /search/bulk/index and POST /search/bulk/delete.

accepted
integer
required

Number of operations accepted and queued for processing